Get verification history
curl --request GET \
--url https://skycoach.gg/api/shop/marketplace/offers/sold/history \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/sold/history"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://skycoach.gg/api/shop/marketplace/offers/sold/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://skycoach.gg/api/shop/marketplace/offers/sold/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://skycoach.gg/api/shop/marketplace/offers/sold/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept", "<accept>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://skycoach.gg/api/shop/marketplace/offers/sold/history")
.header("Accept", "<accept>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://skycoach.gg/api/shop/marketplace/offers/sold/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = '<accept>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"order_id": "a3f9c2b1",
"status": "refunded",
"offer": {
"id": 67,
"title": "1000 Gold"
},
"credential": {
"id": 42,
"status": "active"
},
"verified_at": "2026-08-04T10:45:00+00:00",
"refunded_at": "2026-08-04T10:52:00+00:00"
}
],
"meta": {
"pagination": {
"currentPage": 1,
"perPage": 50,
"total": 87,
"lastPage": 2,
"from": 1,
"to": 50,
"path": "https://example.com/api/shop/marketplace/offers/sold/history",
"firstPageUrl": "https://example.com/api/shop/marketplace/offers/sold/history?page=1",
"lastPageUrl": "https://example.com/api/shop/marketplace/offers/sold/history?page=2",
"nextPageUrl": null,
"prevPageUrl": null
}
}
}{
"message": "Unauthenticated."
}{
"message": "The date_to must be a date after or equal to date_from."
}Offers
Get verification history
Returns paginated history of orders that entered manager verification for the authenticated seller. *
- Data is served from the slave database. Supports date range filtering.
- Maximum 100 records per request.
GET
/
api
/
shop
/
marketplace
/
offers
/
sold
/
history
Get verification history
curl --request GET \
--url https://skycoach.gg/api/shop/marketplace/offers/sold/history \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/sold/history"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://skycoach.gg/api/shop/marketplace/offers/sold/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://skycoach.gg/api/shop/marketplace/offers/sold/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://skycoach.gg/api/shop/marketplace/offers/sold/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept", "<accept>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://skycoach.gg/api/shop/marketplace/offers/sold/history")
.header("Accept", "<accept>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://skycoach.gg/api/shop/marketplace/offers/sold/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = '<accept>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"order_id": "a3f9c2b1",
"status": "refunded",
"offer": {
"id": 67,
"title": "1000 Gold"
},
"credential": {
"id": 42,
"status": "active"
},
"verified_at": "2026-08-04T10:45:00+00:00",
"refunded_at": "2026-08-04T10:52:00+00:00"
}
],
"meta": {
"pagination": {
"currentPage": 1,
"perPage": 50,
"total": 87,
"lastPage": 2,
"from": 1,
"to": 50,
"path": "https://example.com/api/shop/marketplace/offers/sold/history",
"firstPageUrl": "https://example.com/api/shop/marketplace/offers/sold/history?page=1",
"lastPageUrl": "https://example.com/api/shop/marketplace/offers/sold/history?page=2",
"nextPageUrl": null,
"prevPageUrl": null
}
}
}{
"message": "Unauthenticated."
}{
"message": "The date_to must be a date after or equal to date_from."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Query Parameters
Filter records from this date (inclusive)
Example:
"2026-08-01"
Filter records up to this date (inclusive). Must be >= date_from.
Example:
"2026-08-04"
Number of records per page. Capped at 100.
Required range:
1 <= x <= 100Example:
50
Example:
1